cURL
curl --request GET \
--url https://app.masivo.ai/api/storefront/v1/customers/{id}/punch-cards \
--header 'Authorization: Bearer <token>'import requests
url = "https://app.masivo.ai/api/storefront/v1/customers/{id}/punch-cards"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://app.masivo.ai/api/storefront/v1/customers/{id}/punch-cards', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"account_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"customer_id": "<string>",
"campaign_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"punches": 3,
"max_punches": 10,
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
]
}{
"error": "<string>",
"details": "<string>"
}Customers
Get customer punch-cards
Get punch cards of a customer. By default, only returns ACTIVE punch cards.
GET
/
customers
/
{id}
/
punch-cards
cURL
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
The customer unique identifier in your system
Query Parameters
Optional punch card ID to filter results
Filter punch cards by status. Defaults to ACTIVE
Available options:
ALL, ACTIVE, FINISHED Response
Ok
Show child attributes
Show child attributes
⌘I